PImage animage;

/*"The setup() function is called once when the program starts. 
It's used to define initial enviroment properties such as screen size and background color 
and to load media such as images and fonts as the program starts. There can only be one setup() 
function for each program and it shouldn't be called again after its initial execution. 
Note: Variables declared within setup() are not accessible within other functions, 
including draw()."*/
void setup()
{
  //Size is used to define how large the drawing window will be in pixels
  size(500, 500);
  
  //Assign the variable of type PImage to the return value of the built in processing function
  //loadImage. Load image returns a object of type PImage so the types will match
  
  //This is done with a function call to loadImage() which takes a string value 
  //that says what file name to load.
  
  //NOTE THE VARIABLE BE ASSIGNED TO THE RETURNED VALUE OF THE loadImage() function
  animage = loadImage("Toad.png");
  
  //Use the processing built in function called resize on the variable with the name
  //animage
  animage.resize(100,150);
  
  //Remember in setup we are just initializing values here, nothing has been drawn yet!
  
}

/*Called directly after setup(), the draw() function continuously executes the 
lines of code contained inside its block until the program is stopped or noLoop() 
is called. draw() is called automatically and should never be called explicitly.

The number of times draw() executes in each second may be controlled with the frameRate() function.

*/
void draw()
{
  //This call to the built in processing function background changes the color of the background
  //Colors are in RGB values (Amount of Red, Amount of Green, Amount of Blue)
  background(255, 255, 255);
  
  //"The image() function draws an image to the drawing window or canvas."
  image(animage, 100, 100);
  
}
