PImage animage;

//This variable will be used to control the "rate" of motion
int location;

/*"The setup() function is called once when the program starts. 
It's used to define initial enviroment properties such as screen size and background color 
and to load media such as images and fonts as the program starts. There can only be one setup() 
function for each program and it shouldn't be called again after its initial execution. 
Note: Variables declared within setup() are not accessible within other functions, 
including draw()."*/
void setup()
{
  //Size is used to define how large the drawing window will be in pixels
  size(500, 500);
  
  //Assign the variable of type PImage to the return value of the built in processing function
  //loadImage. This is done with a function call to loadImage() which takes a string value 
  //that says what file name to load. Remeber the file must be in the same folder
  animage = loadImage("Toad.png");
  
  //Use the processing built in method called resize on the variable with the name
  //animage
  animage.resize(100,150);
  
  //Remeber in setup we are just initializing values, nothing has been drawn yet!
  
}

/*Called directly after setup(), the draw() function continuously executes the 
lines of code contained inside its block until the program is stopped or noLoop() 
is called. draw() is called automatically and should never be called explicitly.

The number of times draw() executes in each second may be controlled with the frameRate() function.

*/
void draw()
{
  //This call to the built in processing function background changes the color of the background
  //Colors are in RGB values (Amount of Red, Amount of Green, Amount of Blue)
  background(255, 255, 255);
  
  //"The image() function draws an image to the drawing window."
  //Insetad of "hard coding the values of the x, y locations, we are using the location variable
  //The location variable will keep changing and will update the position of our image
  //Since we are using the same values for the x and y locations the image will travel along the 
  //diagnol of our coordinate square
  image(animage, location, location);
  
  //Update the images position by 1.
  //What happends if we change the 1 value?
  location = location + 1;
  
}
